Webserver updaten?? need help!

Apache, Lighttpd, nginx, Cherokee
pretender2109
Posts: 6
Joined: 2007-08-20 16:49

Webserver updaten?? need help!

Post by pretender2109 » 2007-08-20 17:03

Hallo liebe Community,
Ich habe ein großes Problem und hoffe ihr könnt mir einen Tip geben!
Kunde hat einen RootServer mit Debian /Apache 2.0.55/ PHP4.4.2-1
Nun mochte der Kunde aus Sicherheitsgründen sein System updaten- Okay sollte ja kein Thema sein.
Der Kunde hat auf dem Root seine Firmenseite laufen, diese wurde speziel für diesen Kunden entwickelt.
Die Firma die diese Webseite programmiert hat, meinte aber, das nache einen Update der Apache/PHP/MySQL die Seite nicht mehr laufen würde!!
Ich kenne mich im Bereich der Progammierung leider nicht aus, und daher meine Frage, kann es wirklich sein das die Seite nicht mehr geht?
Was wäre die beste Lösung?
Da nun schon langsam ein Streit zwischen den beiden Parteien entsteht und die Webentwickler eine sehr hohe summer für die Änderung der Quellcodes verlangen, möchte ich schon für beide Seite eine angenehme Lösung finden.

Ich wäre über jeden Tip sehr Dankbar!!

Vielen Dank im Voraus!

dtdesign
Posts: 391
Joined: 2006-09-05 21:12
Location: Berlin

Re: Webserver updaten?? need help!

Post by dtdesign » 2007-08-20 17:09

Ich denke die Inkompatibilitäten könnten höchstens durch Schlampereien im PHP-Quellcode liegen (wenn wir dies als Ansatzpunkt nehmen).

Bei einer Migration von PHP4 nach PHP5 können durchaus Probleme entstehen, je nachdem wie gut die Entwickler waren. Zwar hat sich auch einiges verändert, aber krasse Unterschiede entstehen durch schlechten Code. Die SQL-Abfragen könnten bei einem Major-Versionswechsel bei MySQL durchaus auch entstehen, jedoch ist dies nicht unbedingt problematisch.

Von welcher Version (OS/Webserver/PHP/MySQL) soll denn auf eine aktuellere Version gewechselt werden?

Gruß
dtdesign

pretender2109
Posts: 6
Joined: 2007-08-20 16:49

Re: Webserver updaten?? need help!

Post by pretender2109 » 2007-08-20 18:03

dtdesign wrote:
Von welcher Version (OS/Webserver/PHP/MySQL) soll denn auf eine aktuellere Version gewechselt werden?

Gruß
dtdesign


von Apache 2.0.55 auf aktuell
von PHP4.4.2-1 auf aktuell
von MySQL 4.1 auf aktuell

wie könnte ich eine schlechte Programmierung finden, wonach sollte man suchen?
Gibt es grundlegende Sachen die man beachten sollte/müsste?

Danke!!

Roger Wilco
Administrator
Administrator
Posts: 5924
Joined: 2004-05-23 12:53

Re: Webserver updaten?? need help!

Post by Roger Wilco » 2007-08-20 18:19

Und wieso willst du nicht die Distributionspakete nutzen, bei denen sicherheitskritische Fixes eingespielt wurden?

dtdesign
Posts: 391
Joined: 2006-09-05 21:12
Location: Berlin

Re: Webserver updaten?? need help!

Post by dtdesign » 2007-08-20 18:27

pretender2109 wrote:von Apache 2.0.55 auf aktuell
von PHP4.4.2-1 auf aktuell
von MySQL 4.1 auf aktuell


Von PHP 4.4.2-1 auf die aktuellste PHP-Version der 4er Reihe ist auch aktuell, spezifischer also.

pretender2109 wrote:wie könnte ich eine schlechte Programmierung finden, wonach sollte man suchen?
Gibt es grundlegende Sachen die man beachten sollte/müsste?


Als ersten Ansatzpunkt:

:arrow: Migration von PHP4 auf PHP5 (php.net)

Gruß
dtdesign

pretender2109
Posts: 6
Joined: 2007-08-20 16:49

Re: Webserver updaten?? need help!

Post by pretender2109 » 2007-08-20 18:29

Roger Wilco wrote:Und wieso willst du nicht die Distributionspakete nutzen, bei denen sicherheitskritische Fixes eingespielt wurden?


Ich würde dieses gerne machen!!
damit wären ja auch alle Sicherheitslücken behoben und man hätte den gleichen Stand wie nach einen Update...oder ??

Aber die Idee ist mir ja noch gar nicht gekommen!!
Danke für den Tip!!

grandcat
Posts: 104
Joined: 2006-08-15 12:26
Location: Bayern

Re: Webserver updaten?? need help!

Post by grandcat » 2007-08-20 19:23

Dabei muss aber auch beachtet werden, ob die verwendete Distribution überhaupt noch gepflegt wird. :wink:

Roger Wilco
Administrator
Administrator
Posts: 5924
Joined: 2004-05-23 12:53

Re: Webserver updaten?? need help!

Post by Roger Wilco » 2007-08-20 19:29

grandcat wrote:Dabei muss aber auch beachtet werden, ob die verwendete Distribution überhaupt noch gepflegt wird. :wink:

Debian stable sollte noch ein bisschen gepflegt werden.

grandcat
Posts: 104
Joined: 2006-08-15 12:26
Location: Bayern

Re: Webserver updaten?? need help!

Post by grandcat » 2007-08-20 19:32

pretender2109 wrote:...Debian /Apache 2.0.55/ PHP4.4.2-1...


Habe ich übersehen, zudem könnte man ja auf Etch upgraden :wink:

pretender2109
Posts: 6
Joined: 2007-08-20 16:49

Re: Webserver updaten?? need help!

Post by pretender2109 » 2007-08-20 21:21

dtdesign wrote:
Als ersten Ansatzpunkt:

:arrow: Migration von PHP4 auf PHP5 (php.net)

Gruß
dtdesign


Super, genau das habe ich gesucht!!

Danke an alle für die schnelle Hilfe!!!

ekle
Posts: 18
Joined: 2004-05-09 11:36

Re: Webserver updaten?? need help!

Post by ekle » 2007-08-22 12:17

kopier die Seite doch einfach auf einen Server der auf php5 und mysql5 läuft und probier aus ob die Seite noch geht ...